#include "OgreException.h"
#include <windows.h>
#include "Application.h"
#include <stdexcept>


INT WINAPI WinMain(HINSTANCE, HINSTANCE, char* commandLine, int showCommand)
{
	Application* application = new Application();
	try
	{
		application->go();
	}
	catch (Ogre::Exception& e)
	{
		MessageBoxA(NULL, e.getFullDescription().c_str(), "An exception has occured!",
			MB_OK | MB_ICONERROR | MB_TASKMODAL);
	}
	catch (const std::exception& e)
	{
		MessageBoxA(NULL, e.what(), "An exception has occured!",
			MB_OK | MB_ICONERROR | MB_TASKMODAL);
	}
	delete application;
}